#language: ru

@ProductsOfOrganizations

Функционал: 007. ProductsOfOrganizations. Передача товаров от Организации в Организацию2

Сценарий: 007.1. ProductsOfOrganizations. Настройка передачи товаров от Организации в Организацию2

	Дано Я подключаюсь под "Передача товаров между организациями"
	Дано я устанавливаю текущему сеансу заголовок приложения "15.007. Товары организаций"
	Дано я удаляю все элементы таблицы "РегистрСведений.к2НастройкиПередачиТоваровМеждуОрганизациями"
	И В командном интерфейсе я выбираю 'Заказы' 'Настройки передачи товаров между организациями'
	Тогда открылось окно 'Настройки передачи товаров между организациями'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Настройки передачи товаров между организациями (создание)'
	И из выпадающего списка "Организация отправитель" я выбираю по строке 'Организация'
	И из выпадающего списка "Организация получатель" я выбираю по строке 'Организация2'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад готовой продукции'
	И из выпадающего списка "Вид цены" я выбираю по строке 'Зависимый 1'
	И из выпадающего списка "Налогообложение" я выбираю точное значение 'Облагается (с НДС)'
	И из выпадающего списка "Валюта" я выбираю по строке 'RUB'
	И я нажимаю на кнопку 'Записать и закрыть'
	Тогда открылось окно 'Настройки передачи товаров между организациями'
	И Я закрываю окно 'Настройки передачи товаров между организациями'

Сценарий: 007.2. ProductsOfOrganizations. Оформление остатков организации

	Дано я удаляю объекты "Документы.к2ПередачаТоваровМеждуОрганизациями" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Оформление остатков организации'
	Тогда открылось окно 'Оформление остатков организации'
	И я меняю значение переключателя 'Оформлять по' на 'Оборотам'
	И я нажимаю на гиперссылку "Период"
	И Я указываю в диалоге стандартного периода период с "01.08.2019" по "31.08.2019"
	Тогда открылось окно 'Оформление остатков организации *'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад готовой продукции'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация2'
	И я нажимаю на кнопку 'ОбновитьТаблицу'
	И я нажимаю на кнопку 'Оформить расхождения'
	И Я закрываю окно 'Оформление остатков организации *'
	Тогда открылось окно 'Закрытие'
	И я нажимаю на кнопку 'Да'

Сценарий: 007.3. ProductsOfOrganizations. Передача товаров между организациями

	И В командном интерфейсе я выбираю 'Заказы' 'Передача товаров между организациями'
	Тогда открылось окно 'Передача товаров между организациями'
	И в таблице "Список" я перехожу к строке:
		| 'Дата'       | 'Ответственный'                        | 'Отправитель' | 'Получатель'   | 'Склад'                   |
		| '31.08.2019' | 'Передача товаров между организациями' | 'Организация' | 'Организация2' | 'Склад готовой продукции' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Передача товаров между организациями * от *'
	И элемент формы "Отправитель" стал равен "Организация"
	И элемент формы "Получатель" стал равен "Организация2"
	И элемент формы "Склад" стал равен "Склад готовой продукции"
	И элемент формы "Вид цен" стал равен "Зависимый 1"
	И элемент формы "Налогообложение" стал равен "Облагается (с НДС)"
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.' | 'Характеристика'   | 'Серия'                        | 'Сумма, RUB' | 'В ед. хранения' | 'Цена, RUB' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский'  | 'кг'  | '<Без маркировки>' | '000001 до 27.10.2020 0:00:00' | '850,00'     | '10,000, кг'     | '85,00'     | '20%'   | '141,67'    | '850,00'     | ''        |
		| '10,000'     | 'Сыр Пошехонский' | 'кг'  | '<Без маркировки>' | '000001 до 27.10.2020 0:00:00' | '2 250,00'   | '10,000, кг'     | '225,00'    | '10%'   | '204,55'    | '2 250,00'   | ''        |
		| '10,000'     | 'Сыр Костромской' | 'кг'  | '<Без маркировки>' | '000001 до 27.10.2020 0:00:00' | '450,00'     | '10,000, кг'     | '45,00'     | '18%'   | '68,64'     | '450,00'     | ''        |
	И элемент формы "НДС" стал равен "414,86"
	И элемент формы "Итого, RUB" стал равен "3 550,00"
	И я перехожу к закладке "Печать"
	И элемент формы "Счет покупателя" стал равен "Основной счет(2)"
	И элемент формы "Грузополучатель" стал равен "Организация2"
	И элемент формы "Счет грузополучателя" стал равен "Основной счет(2)"
	И элемент формы "Адрес доставки" стал равен "117343, Москва г, пер. Маяковского, дом № 87"
	И элемент формы "Счет организации" стал равен "Основной счет"
	И элемент формы "Грузоотправитель" стал равен "Организация"
	И элемент формы "Счет грузоотправителя" стал равен "Основной счет"
	И элемент формы "Адрес погрузки" стал равен "117342, Москва г, Севастопольский пр-кт, дом № 56"
	И элемент формы "Руководитель" стал равен "Главный Р. К."
	И элемент формы "Главный бухгалтер" стал равен "Главный Б. К."
	* Проверка способа создания
		И элемент формы 'Способ создания' стал равен 'Автоматическая передача товаров между организациями по оборотам'
	И в поле 'Комментарий' я ввожу текст 'Передача товаров 1'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Передача товаров между организациями'
	И Я закрываю окно 'Передача товаров между организациями'

Сценарий: 007.4. ProductsOfOrganizations. Передача товаров между организациями - создание вручную

	И В командном интерфейсе я выбираю 'Заказы' 'Передача товаров между организациями'
	Тогда открылось окно 'Передача товаров между организациями'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Передача товаров между организациями (создание)'
	И из выпадающего списка "Отправитель" я выбираю по строке 'Организация'
	И из выпадающего списка "Получатель" я выбираю по строке 'Организация2'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад готовой продукции'
	И элемент формы "Вид цен" стал равен "Зависимый 1"
	И элемент формы "Налогообложение" стал равен "Облагается (с НДС)"
	И в поле 'Комментарий' я ввожу текст 'Передача товаров 2'
	И я перехожу к закладке "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" с характеристикой "<Без маркировки>" в количестве "10,000"
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" я завершаю редактирование строки
	И Я добавляю в заказ клиента номенклатуру "Сыр Костромской" с характеристикой "<Без маркировки>" в количестве "10,000"
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" я завершаю редактирование строки
	И Я добавляю в заказ клиента номенклатуру "Сыр Пошехонский" с характеристикой "<Без маркировки>" в количестве "10,000"
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'    | 'Ед.' | 'Характеристика'   | 'Серия'                        | 'Сумма, RUB' | 'В ед. хранения' | 'Цена, RUB' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' |
		| '10,000'     | 'Сыр Адыгейский'  | 'кг'  | '<Без маркировки>' | '000001 до 27.10.2020 0:00:00' | '850,00'     | '10,000, кг'     | '85,00'     | '20%'   | '141,67'    | '850,00'     | '10'      |
		| '10,000'     | 'Сыр Костромской' | 'кг'  | '<Без маркировки>' | '000001 до 27.10.2020 0:00:00' | '450,00'     | '10,000, кг'     | '45,00'     | '18%'   | '68,64'     | '450,00'     | '10'      |
		| '10,000'     | 'Сыр Пошехонский' | 'кг'  | '<Без маркировки>' | '000001 до 27.10.2020 0:00:00' | '2 250,00'   | '10,000, кг'     | '225,00'    | '10%'   | '204,55'    | '2 250,00'   | '10'      |
	И элемент формы "НДС" стал равен "414,86"
	И элемент формы "Итого, RUB" стал равен "3 550,00"
	И я перехожу к закладке "Печать"
	И элемент формы "Счет покупателя" стал равен "Основной счет(2)"
	И элемент формы "Грузополучатель" стал равен "Организация2"
	И элемент формы "Счет грузополучателя" стал равен "Основной счет(2)"
	И из выпадающего списка "Адрес доставки" я выбираю точное значение 'Адрес: 117343, Москва г, пер. Маяковского, дом № 87'
	И элемент формы "Счет организации" стал равен "Основной счет"
	И элемент формы "Грузоотправитель" стал равен "Организация"
	И элемент формы "Счет грузоотправителя" стал равен "Основной счет"
	И из выпадающего списка "Адрес погрузки" я выбираю точное значение 'Адрес: 117342, Москва г, Севастопольский пр-кт, дом № 56'
	И элемент формы "Руководитель" стал равен "Главный Р. К."
	И элемент формы "Главный бухгалтер" стал равен "Главный Б. К."
	И я перехожу к закладке "Основное"
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Оформить счет-фактуру'
	Тогда открылось окно 'Счет-фактура выданный (создание)'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Передача товаров между организациями * от *'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Передача товаров между организациями'
	И Я закрываю окно 'Передача товаров между организациями'

Сценарий: 007.4. ProductsOfOrganizations. Завершение

	И Я закрыл все окна клиентского приложения